/*
 * Copyright 2006-2007 Queplix Corp.
 *
 * Licensed under the Queplix Public License, Version 1.1.1 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.queplix.com/solutions/commercial-open-source/queplix-public-license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 *
 */

package com.queplix.qwoss.gen;

import com.queplix.core.modules.jeo.JEObject;

import java.util.Date;

/**
 * Description.
 *
 * @author Konstanitn Mironov
 * @since 8 Dec 2006
 */
public interface TicketMailObject extends JEObject {

    Long getQw_ticketid();

    Integer getQw_status();

    Integer getQw_priority();

    Integer getQw_type();

    Integer getQw_source();

    Integer getQw_impact();

    Long getQw_agentid();

    Long getQw_productid();

    Long getQw_repbuildversionid();

    String getQw_problem();

    String getQw_description();

    char[] getQw_descriptiontext();

    Long getQw_ownerid();

    Long getQw_workgroupid();

    Date getQw_dateowned();

    Long getQw_resbuildversionid();

    Long getQw_customerid();

    Long getQw_employeeid();

    void setQw_ticketid(Long l);

    void setQw_status(Integer i);

    void setQw_priority(Integer i);

    void setQw_type(Integer i);

    void setQw_source(Integer i);

    void setQw_impact(Integer i);

    void setQw_agentid(Long l);

    void setQw_productid(Long l);

    void setQw_repbuildversionid(Long l);

    void setQw_problem(String s);

    void setQw_description(String s);

    void setQw_descriptiontext(char[] s);

    void setQw_ownerid(Long l);

    void setQw_workgroupid(Long l);

    void setQw_dateowned(Date d);

    void setQw_resbuildversionid(Long i);

    void setQw_customerid(Long l);

    void setQw_employeeid(Long l);
}
